Page MenuHomePhabricator

Enable $wgMFNoindexPages for all wikis
Closed, ResolvedPublic1 Estimated Story Points

Description

Background

In T234807: Determine impact of $wgMFNoindexPages search traffic to arwiki, zhwiki, hiwiki, itwiki, nlwiki, kowiki we measured the impact of adding alternate tags for mobile versions of the page for a set of wikis so that the site can be indexed properly. There results were that we did not see any negative effects to pageviews. This task is to turn on the alternate tags for all pages

Acceptance criteria

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2020, 4:00 PM
ovasileva triaged this task as Medium priority.Jun 15 2020, 4:06 PM

What are the risks of turning this on? Do we need to do any validation when the change has been deployed? Is there any situation we might need to rollback?

What are the risks of turning this on? Do we need to do any validation when the change has been deployed? Is there any situation we might need to rollback?

I think we would probably want to monitor pageviews and ensure they're not going down, perhaps do a quick analysis. Given the results of T234807: Determine impact of $wgMFNoindexPages search traffic to arwiki, zhwiki, hiwiki, itwiki, nlwiki, kowiki, this seems unlikely. @MNeisler - what do you think?

In T255458#6227868, @ovasileva wrote:
I think we would probably want to monitor pageviews and ensure they're not going down, perhaps do a quick analysis. Given the results of T234807: Determine impact of $wgMFNoindexPages search traffic to arwiki, zhwiki, hiwiki, itwiki, nlwiki, kowiki, this seems unlikely. @MNeisler - what do you think?

I agree. The results of the analysis do not indicate any reason to suspect a negative change to either desktop or mobile traffic due to this fix. I think maybe a quick review of pageviews (specifically search-referred) following deployment would be sufficient just to confirm no major negative changes have occurred.

Change 621298 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Enable $wgMFNoindexPages for all wikis

https://gerrit.wikimedia.org/r/621298

Change 621298 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable $wgMFNoindexPages for all wikis

https://gerrit.wikimedia.org/r/621298

Mentioned in SAL (#wikimedia-operations) [2020-08-19T18:15:05Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: a6f8354e7599a5e92bea060807065f5b42c540e5: Enable $wgMFNoindexPages for all wikis (T255458) (duration: 01m 07s)

phuedx claimed this task.Aug 20 2020, 5:16 PM

@MNeisler @ovasileva: Is there a task tracking the quick review of search-referred pageviews or would you prefer that this be the task so as not to fragment the conversation too much? If the former, then I'll happily sign this task off.

phuedx set the point value for this task to 1.Aug 21 2020, 11:54 AM

I've been bold and estimated this task since it's Ready for Signoff already (/cc @MBinder_WMF). I voted an XS as this was a configuration change and we don't include Product Analytics' work in our estimates.

@MNeisler @ovasileva: Is there a task tracking the quick review of search-referred pageviews or would you prefer that this be the task so as not to fragment the conversation too much? If the former, then I'll happily sign this task off.

I just created a task (T261018) to check pageviews.

ovasileva closed this task as Resolved.Aug 24 2020, 8:48 AM

Thank you @phuedx and @MNeisler! Resolving this and will follow up on the other task. +1 that we need just a quick check as we did the more thorough analysis in T234807: Determine impact of $wgMFNoindexPages search traffic to arwiki, zhwiki, hiwiki, itwiki, nlwiki, kowiki